#-----------------------------------------------------------------------------------------------------------------------
# Vigilance Class Ship
#-----------------------------------------------------------------------------------------------------------------------

class_name VigilanceClass extends Ship

#-----------------------------------------------------------------------------------------------------------------------

func _init():
    # Set the class's attributes.
    self.maxHealth = 100
    self.health = self.maxHealth
    self.attack = 10
    self.soak = 2
    self.mass = 10

    #-------------------------------------------------------------------------------------------------------------------
    # Aligment Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalLinearSpeed = 3000
    self.maxFlankLinearSpeed = 4000

    self.maxNominalLinearAccel = 50
    self.maxFlankLinearAccel = 50

    self.arrivalTolerance = 2

    #-------------------------------------------------------------------------------------------------------------------
    # Orientation Properties
    #-------------------------------------------------------------------------------------------------------------------

    self.maxNominalAngularSpeed = 40
    self.maxFlankAngularSpeed = 45

    self.maxNominalAngularAccel = 2
    self.maxFlankAngularAccel = 2

    self.alignmentTolerance = 1

    #-------------------------------------------------------------------------------------------------------------------

    # This needs to happen last in top level classes.
    super._init()

#-----------------------------------------------------------------------------------------------------------------------
